## Fetching Types, and Basic Reflection

mono_reflection_get_custom_attrs_blob
Prototype: mono_reflection_get_custom_attrs_blob

mono_reflection_get_custom_attrs
Prototype: mono_reflection_get_custom_attrs

mono_custom_attrs_get_attr
Prototype: mono_custom_attrs_get_attr

mono_reflection_get_token
Prototype: mono_reflection_get_token

mono_reflection_get_type
Prototype: mono_reflection_get_type

mono_reflection_parse_type
Prototype: mono_reflection_parse_type

mono_reflection_type_from_name
Prototype: mono_reflection_type_from_name

mono_reflection_get_custom_attrs_info
Prototype: mono_reflection_get_custom_attrs_info

## Custom Attributes

mono_custom_attrs_construct
Prototype: mono_custom_attrs_construct

mono_custom_attrs_free
Prototype: mono_custom_attrs_free

mono_custom_attrs_from_assembly
Prototype: mono_custom_attrs_from_assembly

mono_custom_attrs_from_class
Prototype: mono_custom_attrs_from_class

mono_custom_attrs_from_event
Prototype: mono_custom_attrs_from_event

mono_custom_attrs_from_field
Prototype: mono_custom_attrs_from_field

mono_custom_attrs_from_index
MonoCustomAttrInfo* mono_custom_attrs_from_index (MonoImage *image, guint32 idx)

Returns

> NULL if no attributes are found or if a loading error occurs.

mono_custom_attrs_from_method
Prototype: mono_custom_attrs_from_method

mono_custom_attrs_from_param
MonoCustomAttrInfo* mono_custom_attrs_from_param (MonoMethod *method, guint32 param)

Parameters

> method:
>   handle to the method that we want to retrieve custom parameter information from
> param:
>   parameter number, where zero represent the return value, and one is the first parameter in the method

Returns

> the custom attribute object for the specified parameter, or NULL if there are none.

Remarks

The result must be released with mono_custom_attrs_free().

mono_custom_attrs_from_property
Prototype: mono_custom_attrs_from_property

mono_custom_attrs_has_attr
Prototype: mono_custom_attrs_has_attr

##

mono_module_file_get_object
Prototype: mono_module_file_get_object

mono_module_get_object
Prototype: mono_module_get_object

mono_method_body_get_object
Prototype: mono_method_body_get_object

mono_event_get_object
Prototype: mono_event_get_object

mono_assembly_get_object
Prototype: mono_assembly_get_object

mono_param_get_objects
Prototype: mono_param_get_objects

mono_field_get_object
Prototype: mono_field_get_object

mono_property_get_object
Prototype: mono_property_get_object